<!DOCTYPE html>

<html>

	<head>
		<title>HTML Forms</title>
	</head>

	<body>

		<header>
			<h1>HTML Forms</h1>

			<p><em>Input Elements that make up a form</em></p>
		</header>
		
		<main>
			<!-- HTML Form -->
			<form action="https://www.google.com/" method="GET">
			
				<!-- Accept text input /Text for fullname -->
				<label for="full-name">Full Name:</label>
				<input type="text" name="full_name" id="full-name">

				<br>

				<!-- Birthday / Accept date input -->
				<label for="birth-date">Birth Date:</label>
				<input type="date" name="birth_date" id="birth-date">

				<br>

				<!-- Accepts number input -->
				<label for="age">Age:</label>
				<input type="number" name="age" id="age">

				<br>

				<!-- Accept input from a list of options thru a dropdown -->
				<label for="gender">Gender:</label>
				<select name="gender" id="gender">
				 	<option value="male">Male</option>
				 	<option value="female">Female</option>
				</select>

				<br>

				<!-- Accept a large text input -->
				<label for="notes">Notes:</label>
				<textarea name="notes" id="notes"></textarea>

				<br>

				<!-- Accepts input from a list of option w/ one choice only -->
				<label>
					Yes <input type="radio" name="new_user" id="user-type1" value="Yes">
				</label>
			
				<label>
					No <input type="radio" name="new_user" id="user-type2" value="No">
				</label>

				<br>

				<!-- Accepts input from a list of options with multiple choices -->
				<label>
					Developer <input type="checkbox" name="role1" id="role1" value="Developer">
				</label>
			
				<label>
					Designer <input type="checkbox" name="role2" id="role2" value="Designer">
				</label>
			
				<label>
					Manager <input type="checkbox" name="role3" id="role3" value="Manager">
				</label>
			

				<br>

				<!-- Create a button that will submit the form data -->
				<input type="submit" name="Submit">


			</form>
		</main>

	</body>
</html>